html {
    background-color: #b9bfe0;
    font-size: 13pt;
    font-family: "Lexend", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    min-height: 150%;
}

body * {
    background-color: #39498C;
    color:aliceblue;
}

button {
    margin: 3px;
    align-items: center;
    appearance: none;
    background-color: #FCFCFD;
    border-radius: 4px;
    border-width: 0;
    box-shadow: rgba(45, 35, 66, 0.4) 0 2px 4px,rgba(45, 35, 66, 0.3) 0 7px 13px -3px,#D6D6E7 0 -3px 0 inset;
    box-sizing: border-box;
    color: #36395A;
    cursor: pointer;
    display: inline-flex;
    font-family: "JetBrains Mono", monospace;
    height: 48px;
    justify-content: center;
    line-height: 1;
    list-style: none;
    overflow: hidden;
    padding-left: 16px;
    padding-right: 16px;
    position: relative;
    text-align: left;
    text-decoration: none;
    transition: box-shadow .15s,transform .15s;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    white-space: nowrap;
    will-change: box-shadow,transform;
    font-size: 18px;
    width: 36px;
    height: 36px;
}

button:focus {
  box-shadow: #D6D6E7 0 0 0 1.5px inset, rgba(45, 35, 66, 0.4) 0 2px 4px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
}

button:hover {
  box-shadow: rgba(45, 35, 66, 0.4) 0 4px 8px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
  transform: translateY(-2px);
}

button:active {
  box-shadow: #D6D6E7 0 3px 7px inset;
  transform: translateY(2px);
}

p, label, ul {
    margin: 3px;
    padding: 3px;
    align-self: center;
}

ul {
    padding-left: 18px;
}

select {
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    margin: 4px;
}

.box {
    margin: 8px 3px 8px 3px;
    padding: 3px;
    outline: 2px solid #383D6D;
}

canvas {
    background-color: white;
    outline: 2px solid #383D6D;
    margin: 8px 3px 8px 5px;
    padding: 0;
    /* space before io_area */
}

.error_message {
    font-size: 10pt;
    color: #ff7e7e;
}

mtd {
    padding: 2px;
}

math, mrow, mi, mo, msup {
    color: inherit;
    font-weight: 600;
}

input[type="text"] {
    font-size: 11pt;
    width: 60px;
    height: 16px;
    align-self: center;
    color: #36395A;
    background-color: aliceblue;
}

input[type="range"] {
    -webkit-appearance: none;    
    appearance: none;
    align-self: center;
    height: 3px;
    background-color: aliceblue;
    border-radius: 3px;

    align-self: center;
    margin: 0;
    z-index: 1;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    height: 12px;
    width: 12px;
    border-radius: 50%;
    outline: 3px solid aliceblue;
    background: #373d56;
    cursor: pointer;
    margin-top: -16px;

    transition: all .2s ease-in-out;
}

input[type="range"]::-webkit-slider-thumb:hover {
    transform: scale(1.1);
}

.tickmark {
    height: 28px;
    width: 2px;
    background-color: aliceblue;
    position: absolute;

    align-self: center;
    border-radius: 3px;
}

.ticktext {
    position: absolute;
    background-color: rgb(0, 0, 0, 0);
}